org.apache.ignite.internal.util.lang.gridfunc

## Class ClusterNodeGetIdClosure

- java.lang.Object
- - org.apache.ignite.internal.util.lang.gridfunc.ClusterNodeGetIdClosure

All Implemented Interfaces:
  Serializable, IgniteClosure<ClusterNode,UUID>

    public class ClusterNodeGetIdClosure
    extends Object
    implements IgniteClosure<ClusterNode,UUID>

Grid node to node ID transformer closure.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ClusterNodeGetIdClosure()`

### Method Summary

All Methods Instance Methods Concrete Methods
`UUID` `apply(ClusterNode n)` Closure body.
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ClusterNodeGetIdClosure

    public ClusterNodeGetIdClosure()

### Method Detail

#### apply

    public UUID apply(ClusterNode n)

Closure body.

Specified by:
  `apply` in interface `IgniteClosure<ClusterNode,UUID>`
Parameters:
  `n` - Closure parameter.
Returns:
  Closure return value.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.15.0
Release Date | : April 25 2023